classification
Title: Failing test_signal.py on Redhat 4.1.2-44
Type: compile error Stage:
Components: Installation Versions: Python 2.6
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: Nosy List: dmauldin, georg.brandl, mark.dickinson
Priority: normal Keywords:

Created on 2009-05-08 21:20 by dmauldin, last changed 2010-06-19 21:36 by georg.brandl. This issue is now closed.

Messages (4)
msg87472 - (view) Author: Denise Mauldin (dmauldin) Date: 2009-05-08 21:20
Building python 2.6.2 on red hat linux 4.1.2-44 fails test_signal.py

cat /proc/version
Linux version 2.6.18-128.1.6.el5 (mockbuild@builder10.centos.org) (gcc
version 4.1.2 20080704 (Red Hat 4.1.2-44)) #1 SMP Wed Apr 1 09:10:25 EDT
2009

Failed when running make test, failed when running test for the first
time, completed after running test again, then failed when running for a
3rd time.  

./python ./Lib/test/test_signal.py
test_getsignal (__main__.BasicSignalTests) ... ok
test_out_of_range_signal_number_raises_error (__main__.BasicSignalTests)
... ok
test_setting_signal_handler_to_none_raises_error
(__main__.BasicSignalTests) ... ok
test_main (__main__.InterProcessSignalTests) ... test runner's pid is 16310
handlerA invoked from signal 1 at:
  File "/local/python/src/Python-2.6.2/Lib/subprocess.py", line 1123, in
wait
    pid, sts = os.waitpid(self.pid, 0)

handlerB invoked from signal 10 at:
  File "/local/python/src/Python-2.6.2/Lib/subprocess.py", line 1123, in
wait
    pid, sts = os.waitpid(self.pid, 0)

HandlerBCalled exception caught
KeyboardInterrupt (the alarm() went off)
ok
test_wakeup_fd_during (__main__.WakeupSignalTests) ... ok
test_wakeup_fd_early (__main__.WakeupSignalTests) ... ok
test_siginterrupt_off (__main__.SiginterruptTest) ... ok
test_siginterrupt_on (__main__.SiginterruptTest) ... ok
test_without_siginterrupt (__main__.SiginterruptTest) ... ok
test_itimer_exc (__main__.ItimerTest) ... ok
test_itimer_prof (__main__.ItimerTest) ... ('SIGPROF handler invoked',
(27, <frame object at 0x1edab860>))
ok
test_itimer_real (__main__.ItimerTest) ...
call pause()...
('SIGALRM handler invoked', (14, <frame object at 0x1edabf30>))
ok
test_itimer_virtual (__main__.ItimerTest) ... FAIL

======================================================================
FAIL: test_itimer_virtual (__main__.ItimerTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "./Lib/test/test_signal.py", line 368, in test_itimer_virtual
    self.assertEquals(signal.getitimer(self.itimer), (0.0, 0.0))
AssertionError: (0.29595500000000002, 0.20096900000000001) != (0.0, 0.0)


----------------------------------------------------------------------
Ran 13 tests in 66.251s

FAILED (failures=1)
Traceback (most recent call last):
  File "./Lib/test/test_signal.py", line 392, in <module>
    test_main()
  File "./Lib/test/test_signal.py", line 388, in test_main
    WakeupSignalTests, SiginterruptTest, ItimerTest)
  File "/local/python/src/Python-2.6.2/Lib/test/test_support.py", line
722, in run_unittest
    _run_suite(suite)
  File "/local/python/src/Python-2.6.2/Lib/test/test_support.py", line
705, in _run_suite
    raise TestFailed(err)
test.test_support.TestFailed: Traceback (most recent call last):
  File "./Lib/test/test_signal.py", line 368, in test_itimer_virtual
    self.assertEquals(signal.getitimer(self.itimer), (0.0, 0.0))
AssertionError: (0.29595500000000002, 0.20096900000000001) != (0.0, 0.0)
msg93540 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2009-10-04 13:03
See also issue #7042.
msg94762 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2009-10-31 16:56
I think this failure may now be fixed in svn:  see issue #7042.

dmauldin, are you in a position to test this on Red Hat with a recent svn 
checkout? (Either trunk or release26-maint, it doesn't matter which.)
msg108211 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-06-19 21:36
Closing for lack of response.
History
Date User Action Args
2010-06-19 21:36:41georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg108211

resolution: works for me
2009-10-31 16:56:24mark.dickinsonsetmessages: + msg94762
2009-10-04 13:03:12mark.dickinsonsetnosy: + mark.dickinson
messages: + msg93540
2009-05-08 21:20:13dmauldincreate